Name:		yaflight
Version:	0.1.10
Release:	%mkrel 3.1
Summary:	Yet Another FlightGear Launch Control
License:	GPLv2+
Group:		Games/Other
Source:		http://sourceforge.net/projects/yaflight/files/stable/%{name}-%{version}.2.tar.bz2
Patch0:		%{name}-fmain-close.patch
Url:		http://yaflight.altervista.org

BuildArch:	noarch
BuildRequires:	gambas3-devel >= 2.99.4
BuildRequires:	gambas3-gb-net >= 2.99.4
BuildRequires:	gambas3-gb-net-curl >= 2.99.4
BuildRequires:	gambas3-gb-image >= 2.99.4
BuildRequires:	gambas3-gb-form >= 2.99.4
BuildRequires:	gambas3-gb-qt4 >= 2.99.4
BuildRequires:	desktop-file-utils

Requires:	gambas3-runtime >= 2.99.4
Requires:	gambas3-gb-net >= 2.99.4
Requires:	gambas3-gb-net-curl >= 2.99.4
Requires:	gambas3-gb-image >= 2.99.4
Requires:	gambas3-gb-form >= 2.99.4
Requires:	gambas3-gb-form-stock >= 2.99.4
Requires:	gambas3-gb-qt4
Requires:	procps >= 3.2.8-6
Requires:       coreutils
Requires:       grep
Requires:       gawk
Requires:       rsync
Suggests:	flightgear

Conflicts:	%{name}-gtk
Conflicts:	%{name}-qt

Obsoletes:	%{name}-gtk < %{version}
Obsoletes:	%{name}-qt < %{version}

%description
A tiny, lightweight and simple launch control for FlightGear.
YaFlight is a graphical frontend to allow people to launch FlightGear
easily.

%prep
%setup -q
%patch0 -p1 -b .fmainonclose
%build
gbc3 -a -v -t -g -e
gba3 -o %{name}-%{version}.gambas ../%{name}-%{version}

%install
rm -fr %{buildroot}
install -m 755 -D %{name}-%{version}.gambas %{buildroot}%{_gamesbindir}/%{name}.gambas
install -m 755 -D %{name}-icon-48.png %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A gui to launch FlightGear easily
Comment[it]=Una interfaccia grafica per avviare FlightGear facilmente
Exec=%{name}.gambas
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc .hidden/COPYING
%{_gamesbindir}/%{name}.gambas
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog

* Thu May 31 2012 matteo <matteo> 0.1.10-3.1.mga2
+ Revision: 252326
- added patch to fix bug on close event (mga#6160)
- upstream provided new tarball for sources that includes bugfixes
- fixed bug causing crash (yaflight bug #0001)

* Sun Mar 04 2012 matteo <matteo> 0.1.10-1.mga2
+ Revision: 217959
- new stable version

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.3.mga2
+ Revision: 215916
- fixed missing requirement

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.2.mga2
+ Revision: 215907
- new sources

* Tue Feb 28 2012 matteo <matteo> 0.1.10-0.svn.1.mga2
+ Revision: 215835
- new svn version with base support to flightgear 2.6.0 (bug mga#4710)

* Sun Feb 26 2012 matteo <matteo> 0.1.9-1.mga2
+ Revision: 214991
- new release

* Fri Feb 24 2012 matteo <matteo> 0.1.8-3.mga2
+ Revision: 214172
- fixed compiler arguments
- updated packages descriptions
- updated desktop file

* Fri Feb 24 2012 matteo <matteo> 0.1.8-2.mga2
+ Revision: 213616
- fixed wrong descriptions

* Thu Feb 23 2012 matteo <matteo> 0.1.8-1.mga2
+ Revision: 213543
- new release
- using its own icon rather than flightgear icon

* Mon Jan 30 2012 matteo <matteo> 0.1.7-1.mga2
+ Revision: 203156
- new release

* Sun Jan 22 2012 matteo <matteo> 0.1.6-1.mga2
+ Revision: 199828
- new release 0.1.6

* Thu Jan 05 2012 matteo <matteo> 0.1.5-2.mga2
+ Revision: 191947
- added license as doc; spec file reviewed

* Mon Dec 26 2011 matteo <matteo> 0.1.5-1.mga2
+ Revision: 187811
- version upgrade

* Sun Nov 13 2011 matteo <matteo> 0.1.4-1.mga2
+ Revision: 167362
- version upgrade
- imported package yaflight

